Last Comment Bug 408256 - Use a constant-size buffer in BMP decoder to reduce fragmentation
: Use a constant-size buffer in BMP decoder to reduce fragmentation
Status: VERIFIED FIXED
: fixed1.8.0.15, verified1.8.1.12
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: All All
P1 normal (vote)
: mozilla1.9beta3
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 13:37 PST by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2008-03-12 09:27 PDT (History)
7 users (show)
mconnor: blocking1.9+
dveditz: blocking1.8.1.12+
dveditz: wanted1.8.1.x+
asac: blocking1.8.0.next+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.32 KB, patch)
2007-12-13 13:41 PST, :Gavin Sharp [email: gavin@gavinsharp.com]
dveditz: review+
dveditz: superreview+
dveditz: approval1.8.1.12+
asac: approval1.8.0.next+
Details | Diff | Splinter Review

Description User image :Gavin Sharp [email: gavin@gavinsharp.com] 2007-12-13 13:37:52 PST
Per bug 408076.
Comment 1 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2007-12-13 13:41:09 PST
Created attachment 293003 [details] [diff] [review]
patch

like so!
Comment 2 User image Daniel Veditz [:dveditz] 2007-12-13 13:43:15 PST
Comment on attachment 293003 [details] [diff] [review]
patch

r/sr=dveditz
Comment 3 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2007-12-13 13:50:43 PST
mozilla/modules/libpr0n/decoders/bmp/nsBMPDecoder.cpp 	1.38
Comment 4 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2007-12-13 13:57:53 PST
Comment on attachment 293003 [details] [diff] [review]
patch

Would be nice to get this into 2.0.0.12 as well.
Comment 5 User image Daniel Veditz [:dveditz] 2007-12-17 11:46:45 PST
Comment on attachment 293003 [details] [diff] [review]
patch

approved for 1.8.1.12, a=dveditz for release-drivers
Comment 6 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2007-12-17 12:50:21 PST
mozilla/modules/libpr0n/decoders/bmp/nsBMPDecoder.cpp 	1.29.4.1
Comment 7 User image Al Billings [:abillings] 2008-01-29 16:45:22 PST
Is this one of these magical fixes where one of you just tells us in QA that it is in or is the verification in bug 408076 also verification of this?
Comment 8 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2008-01-29 16:59:29 PST
The verification of bug 408076 verifies this bug.
Comment 9 User image Alexander Sack 2008-03-12 08:56:55 PDT
distro patch: blocks 1.8.0.15
Comment 10 User image Alexander Sack 2008-03-12 08:58:14 PDT
Comment on attachment 293003 [details] [diff] [review]
patch

a=asac for 1.8.0.15 

approving unmodified distro patch.
Comment 11 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2008-03-12 09:24:49 PDT
I landed the patch in bug 408076 on the 1.8.0 branch.
Comment 12 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2008-03-12 09:27:38 PDT
mozilla/modules/libpr0n/decoders/bmp/nsBMPDecoder.cpp 	1.29.12.1

Note You need to log in before you can comment on or make changes to this bug.